curl --request POST \
--url https://api.example.com/api/skills \
--header 'Content-Type: application/json' \
--header 'X-Session-API-Key: <api-key>' \
--data '
{
"load_org": true,
"load_project": true,
"load_public": true,
"load_user": true,
"marketplace_path": "marketplaces/default.json",
"org_configs": [
{
"org_name": "<string>",
"org_repo_url": "<string>",
"provider": "<string>",
"repository": "<string>"
}
],
"project_dir": "<string>",
"registered_marketplaces": [
{
"name": "<string>",
"source": "<string>",
"auto_load": false,
"ref": "<string>",
"repo_path": "<string>"
}
],
"sandbox_config": {
"exposed_urls": [
{
"name": "<string>",
"port": 123,
"url": "<string>"
}
]
}
}
'import requests
url = "https://api.example.com/api/skills"
payload = {
"load_org": True,
"load_project": True,
"load_public": True,
"load_user": True,
"marketplace_path": "marketplaces/default.json",
"org_configs": [
{
"org_name": "<string>",
"org_repo_url": "<string>",
"provider": "<string>",
"repository": "<string>"
}
],
"project_dir": "<string>",
"registered_marketplaces": [
{
"name": "<string>",
"source": "<string>",
"auto_load": False,
"ref": "<string>",
"repo_path": "<string>"
}
],
"sandbox_config": { "exposed_urls": [
{
"name": "<string>",
"port": 123,
"url": "<string>"
}
] }
}
headers = {
"X-Session-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Session-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
load_org: true,
load_project: true,
load_public: true,
load_user: true,
marketplace_path: 'marketplaces/default.json',
org_configs: [
{
org_name: '<string>',
org_repo_url: '<string>',
provider: '<string>',
repository: '<string>'
}
],
project_dir: '<string>',
registered_marketplaces: [
{
name: '<string>',
source: '<string>',
auto_load: false,
ref: '<string>',
repo_path: '<string>'
}
],
sandbox_config: {exposed_urls: [{name: '<string>', port: 123, url: '<string>'}]}
})
};
fetch('https://api.example.com/api/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"skills": [
{
"content": "<string>",
"name": "<string>",
"type": "repo",
"description": "<string>",
"disable_model_invocation": false,
"is_agentskills_format": false,
"source": "<string>",
"triggers": [
"<string>"
]
}
],
"sources": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Get Skills
Load and merge skills from all configured sources.
Skills are loaded from multiple sources and merged with the following precedence (later overrides earlier for duplicate names):
- Sandbox skills (lowest) - Exposed URLs from sandbox
- Public skills - From GitHub OpenHands/extensions repository
- User skills - From ~/.openhands/skills/
- Organization skills - From /.openhands or equivalent
- Project skills (highest) - From /.openhands/skills/
Args: request: SkillsRequest containing configuration for which sources to load.
Returns: SkillsResponse containing merged skills and source counts.
Authorizations
Body
Request body for loading skills.
Load organization-level skills
Load project skills from workspace
Load public skills from OpenHands/extensions repo
Load user skills from ~/.openhands/skills/
Relative marketplace JSON path for public skills. Set to null to load all public skills.
Organization/user skill repositories to load concurrently
Show child attributes
Show child attributes
Workspace directory path for project skills
Marketplace registrations for plugin-based skill loading. Registrations with auto_load=True or a list of plugin names add their skills to the public skills.
Show child attributes
Show child attributes
Sandbox skills configuration
Show child attributes
Show child attributes
Was this page helpful?

